
From: Ingo Molnar <mingo@elte.hu>

fix a typo in a previous patch breaking RT scheduling & interactivity.

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~sched-misc-fix-rt kernel/sched.c
--- 25/kernel/sched.c~sched-misc-fix-rt	2004-06-30 01:50:01.231994088 -0700
+++ 25-akpm/kernel/sched.c	2004-06-30 01:50:01.237993176 -0700
@@ -2271,7 +2271,7 @@ need_resched:
 		goto switch_tasks;
 	}
 
-	if (rt_task(next) && next->activated > 0) {
+	if (!rt_task(next) && next->activated > 0) {
 		unsigned long long delta = now - next->timestamp;
 
 		if (next->activated == 1)
_
